Public MustInherit Class GraphicsItem

    ' members...
    Public Color As Color
    Public IsFilled As Boolean
    Public Rectangle As Rectangle

    ' methods...
    Public MustOverride Sub Draw(ByVal graphics As Graphics)

    ' SetPoint - add an item at the given point...
    Public Sub SetPoint(ByVal x As Integer, ByVal y As Integer, _
       ByVal graphicSize As Integer, _
       ByVal graphicColor As Color, ByVal graphicIsFilled As Boolean)

        ' set the rectangle depending on the graphic and the size...
        Rectangle = New _
           Rectangle(x - (graphicSize / 2), y - (graphicSize / 2), _
           graphicSize, graphicSize)

        ' set the color and isfilled...
        Color = graphicColor
        IsFilled = graphicIsFilled

    End Sub

End Class
